<div class="menu" [busy]="isLoading">
    <h1 mat-dialog-title> {{ "InstructorDetails" | localize }} </h1>
    <mat-dialog-content *ngIf="instructor != null">
        <div class="col-md-12 col-lg-12">
            <span> {{ "FirstName" | localize }}: {{ instructor.firstName }} </span>
        </div>
        <div class="col-md-12 col-lg-12">
            <span> {{ "LastName" | localize }}: {{ instructor.lastName }} </span>
        </div>
        <div class="col-md-12 col-lg-12">
            <span> {{ "HireDate" | localize }}: {{ instructor.hireDate }} </span>
        </div>
        <div class="row-fluid" *ngIf="instructor.courseAssignments.length != 0">
            <div class="col-md-12 col-lg-12"  style="font-weight: bold; padding-top: 25px;">
                <h3> {{ "CourseList" | localize }} </h3>
            </div>
            <table class="col-md-12 col-lg-12 table table-hover table-striped slimScrollDiv">
                <thead>
                    <th class="col-md-8 col-lg-8"> {{ "CourseTitle" | localize }} </th>
                    <th class="col-md-4 col-lg-4"> {{ "CourseCredits" | localize }} </th>
                </thead>
                <tbody>
                    <tr *ngFor="let course of instructor.courseAssignments">
                        <td> {{ course.course.title }} </td>
                        <td> {{ course.course.credits }} </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </mat-dialog-content>
    <div mat-dialog-actions align="end">
        <button mat-flat-button (click)="close()">
            {{ "Close" | localize }}
        </button>
    </div>
</div>